Open CASCADE Technology: PXCAFDoc_Datum Class Reference

Open CASCADE Technology 6.8.0

- Main Page
- Related Pages
- Namespaces
- Data Structures
- Files

- Data Structures
- Data Structure Index
- Class Hierarchy
- Data Fields

Public Member Functions
PXCAFDoc_Datum Class Reference

`#include <PXCAFDoc_Datum.hxx>`

Inheritance diagram for PXCAFDoc_Datum:
[legend]

## Public Member Functions
| PXCAFDoc_Datum ()
| PXCAFDoc_Datum (const Handle< PCollection_HAsciiString > &theName, const Handle< PCollection_HAsciiString > &theDescr, const Handle< PCollection_HAsciiString > &theId)
Handle< PCollection_HAsciiString > | GetName () const
Handle< PCollection_HAsciiString > | GetDescription () const
Handle< PCollection_HAsciiString > | GetIdentification () const
void | Set (const Handle< PCollection_HAsciiString > &theName, const Handle< PCollection_HAsciiString > &theDescr, const Handle< PCollection_HAsciiString > &theId)
| PXCAFDoc_Datum (const Storage_stCONSTclCOM &a)
Handle< PCollection_HAsciiString > | _CSFDB_GetPXCAFDoc_DatummyName () const
void | _CSFDB_SetPXCAFDoc_DatummyName (const Handle< PCollection_HAsciiString > &p)
Handle< PCollection_HAsciiString > | _CSFDB_GetPXCAFDoc_DatummyDescr () const
void | _CSFDB_SetPXCAFDoc_DatummyDescr (const Handle< PCollection_HAsciiString > &p)
Handle< PCollection_HAsciiString > | _CSFDB_GetPXCAFDoc_DatummyId () const
void | _CSFDB_SetPXCAFDoc_DatummyId (const Handle< PCollection_HAsciiString > &p)
Public Member Functions inherited from PDF_Attribute
| PDF_Attribute (const Storage_stCONSTclCOM &a)
| PDF_Attribute ()
Public Member Functions inherited from Standard_Persistent
virtual Handle_Standard_Persistent | This () const
virtual void | Delete () const
virtual | ~Standard_Persistent ()
Standard_Persistent & | operator= (const Standard_Persistent &)
| Standard_Persistent ()
| Standard_Persistent (const Standard_Persistent &)
| Standard_Persistent (const Storage_stCONSTclCOM &)
virtual const Handle_Standard_Type & | DynamicType () const
Standard_Boolean | IsKind (const Handle_Standard_Type &) const
Standard_Boolean | IsInstance (const Handle_Standard_Type &) const
virtual Handle_Standard_Persistent | This () const
virtual void | Delete () const
virtual | ~Standard_Persistent ()
Standard_Persistent & | operator= (const Standard_Persistent &)
| Standard_Persistent ()
| Standard_Persistent (const Standard_Persistent &)
| Standard_Persistent (const Storage_stCONSTclCOM &)
virtual const Handle_Standard_Type & | DynamicType () const
Standard_Boolean | IsKind (const Handle_Standard_Type &) const
Standard_Boolean | IsInstance (const Handle_Standard_Type &) const

## Constructor & Destructor Documentation

PXCAFDoc_Datum::PXCAFDoc_Datum | ( |  | ) |

PXCAFDoc_Datum::PXCAFDoc_Datum | ( | const Handle< PCollection_HAsciiString > & | theName,
|  | const Handle< PCollection_HAsciiString > & | theDescr,
|  | const Handle< PCollection_HAsciiString > & | theId
| ) |  |

PXCAFDoc_Datum::PXCAFDoc_Datum | ( | const Storage_stCONSTclCOM & | a | ) |
| inline

## Member Function Documentation

Handle< PCollection_HAsciiString > PXCAFDoc_Datum::_CSFDB_GetPXCAFDoc_DatummyDescr | ( |  | ) | const
| inline

Handle< PCollection_HAsciiString > PXCAFDoc_Datum::_CSFDB_GetPXCAFDoc_DatummyId | ( |  | ) | const
| inline

Handle< PCollection_HAsciiString > PXCAFDoc_Datum::_CSFDB_GetPXCAFDoc_DatummyName | ( |  | ) | const
| inline

void PXCAFDoc_Datum::_CSFDB_SetPXCAFDoc_DatummyDescr | ( | const Handle< PCollection_HAsciiString > & | p | ) |
| inline

void PXCAFDoc_Datum::_CSFDB_SetPXCAFDoc_DatummyId | ( | const Handle< PCollection_HAsciiString > & | p | ) |
| inline

void PXCAFDoc_Datum::_CSFDB_SetPXCAFDoc_DatummyName | ( | const Handle< PCollection_HAsciiString > & | p | ) |
| inline

Handle< PCollection_HAsciiString > PXCAFDoc_Datum::GetDescription | ( |  | ) | const

Handle< PCollection_HAsciiString > PXCAFDoc_Datum::GetIdentification | ( |  | ) | const

Handle< PCollection_HAsciiString > PXCAFDoc_Datum::GetName | ( |  | ) | const

void PXCAFDoc_Datum::Set | ( | const Handle< PCollection_HAsciiString > & | theName,
|  | const Handle< PCollection_HAsciiString > & | theDescr,
|  | const Handle< PCollection_HAsciiString > & | theId
| ) |  |

The documentation for this class was generated from the following file:

- PXCAFDoc_Datum.hxx